## org.eclipse.datatools.modelbase.sql.datatypes
Interface Domain

All Superinterfaces:
  DataType, DistinctUserDefinedType, SQLObject, UserDefinedType

All Known Implementing Classes:
  DomainImpl

public interface Domain
extends DistinctUserDefinedType

A representation of the model object 'Domain'. Reference: 5WD-02-Foundation-2002-12 4.12 Domains

The following features are supported:

- `Constraint`
- `Default Value`

See Also:
  `SQLDataTypesPackage.getDomain()`

Method Summary
`EList` `getConstraint()` Returns the value of the 'Constraint' containment reference list.
`java.lang.String` `getDefaultValue()` Returns the value of the 'Default Value' attribute.
`void` `setDefaultValue(java.lang.String value)` Sets the value of the '`Default Value`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DistinctUserDefinedType
`getPredefinedRepresentation, setPredefinedRepresentation`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.UserDefinedType
`getOrdering, getSchema, setOrdering, setSchema`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DataType
`setContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getConstraint

    public EList getConstraint()

  Returns the value of the 'Constraint' containment reference list. The list contents are of type `CheckConstraint`.

  If the meaning of the 'Constraint' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Constraint' containment reference list.
  See Also:
    `SQLDataTypesPackage.getDomain_Constraint()`

### getDefaultValue

    public java.lang.String getDefaultValue()

  Returns the value of the 'Default Value' attribute.

  If the meaning of the 'Default Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Default Value' attribute.
  See Also:
    `setDefaultValue(String)`, `SQLDataTypesPackage.getDomain_DefaultValue()`

### setDefaultValue

    public void setDefaultValue(java.lang.String value)

  Sets the value of the '`Default Value`' attribute.

  Parameters:
    `value` - the new value of the 'Default Value' attribute.
  See Also:
    `getDefaultValue()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.